sudo: false
language: node_js
node_js:
  - "0.10"
  - "0.12"
  - "4.1"

before_install:
  - travis_retry npm install -g npm@2.14.5
  - travis_retry npm install

script:
  - npm test

matrix:
  allow_failures:
    - node_js: "0.10"

notifications:
  email:
    - travis@nodejitsu.com
  irc: "irc.freenode.org#nodejitsu"
